/*
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.ow2.petals.kernel.ws.api.to;

import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlMimeType;
import javax.xml.bind.annotation.XmlType;

/**
 * This is an attachment descriptor used to handle SOAP attachments
 *
 * @author Christophe HAMERLING - eBM WebSourcing
 *
 */
@XmlType
public class AttachmentDescriptor {

    /**
     * The data handler
     */
    private DataHandler dh;

    /**
     *
     */
    public AttachmentDescriptor() {
    }

    @XmlMimeType("application/octet-stream")
    public DataHandler getAttachment() {
        return dh;
    }

    public void setAttachment(DataHandler dh) {
        this.dh = dh;
    }

}
