/**
 * PETALS: PETALS Services Platform Copyright (C) 2009 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 * Initial developer(s): EBM WebSourcing
 */
package org.ow2.petals.kernel.ws.api.to;

import java.util.Arrays;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import org.ow2.petals.kernel.ws.api.Constants;

/**
 * @author chamerling - eBM WebSourcing
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(namespace = Constants.NS, name = "endpoint")
public class Endpoint {

    @XmlAttribute(name = "name")
    private String name;

    @XmlElement(name = "service")
    private QName service;

    @XmlElement(name = "interface")
    private QName[] interfaces;

    @XmlElement(name = "container")
    private String container;

    @XmlElement(name = "component")
    private String component;

    @XmlElement(name = "subdomain")
    private String subDomain;

    @XmlElement(name = "description")
    private String description;

    /**
     *
     */
    public Endpoint() {
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public QName getService() {
        return this.service;
    }

    public void setService(QName service) {
        this.service = service;
    }

    public QName[] getInterfaces() {
        return this.interfaces;
    }

    public void setInterfaces(QName[] interfaces) {
        this.interfaces = interfaces;
    }

    public String getContainer() {
        return this.container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

    public String getComponent() {
        return this.component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getSubDomain() {
        return this.subDomain;
    }

    public void setSubDomain(String subDomain) {
        this.subDomain = subDomain;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

}
